package onvif

import "github.com/IOTechSystems/onvif/device"

func (c *Connection) GetDeviceInformation() (*device.GetDeviceInformationResponse, error) {
	resp, err := c.Device.CallMethod(device.GetDeviceInformation{})
	if err != nil {
		return nil, err
	}

	result := &device.GetDeviceInformationResponse{}
	err = unmarshalResponse(resp, result)
	if err != nil {
		return nil, err
	}

	return result, nil
}
